/**
 * Menu overview.
 */

.c-menu {
    position: fixed;
    z-index: 1003;
    background-color: #fafafa;
    transition: transform 0.3s;
}

.c-menu__items {
    list-style: none;
    margin: 0;
    padding: 0;
}


/**
 * Close button resets.
 */

.c-menu__close {
    color: #fff;
    background-color: #007095;
    font-size: 14px;
    border: none;
    box-shadow: none;
    border-radius: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
}


/**
 * Close button resets.
 */

.c-menu__close:focus {
    outline: none;
}


/**
 * Body states.
 *
 * When a menu is active, we want to hide the overflows on the body to prevent
 * awkward document scrolling.
 */

body.has-active-menu {
    overflow: hidden;
}


/**
 * Mask component
 */

.c-mask {
    position: fixed;
    z-index: 1002;
    top: 0;
    left: 0;
    overflow: hidden;
    width: 0;
    height: 0;
    background-color: #000;
    opacity: 0;
    transition: opacity 0.3s, width 0s 0.3s, height 0s 0.3s;
}

.c-mask.is-active {
    width: 100%;
    height: 100%;
    opacity: 0.7;
    transition: opacity 0.3s;
}

.c-menu--slide-left,
.c-menu--slide-right,
.c-menu--push-left,
.c-menu--push-right {
    width: 100%;
    height: 100%;
    overflow-y: auto;
}

@media all and (min-width: 320px) {
    .c-menu--slide-left,
    .c-menu--slide-right,
    .c-menu--push-left,
    .c-menu--push-right {
        width: 300px;
    }
}

@media all and (min-width: 480px) {
    .c-menu--slide-left,
    .c-menu--slide-right,
    .c-menu--push-left,
    .c-menu--push-right {
        width: 320px;
    }
}

.c-menu--slide-left .c-menu__item,
.c-menu--slide-right .c-menu__item,
.c-menu--push-left .c-menu__item,
.c-menu--push-right .c-menu__item {
    display: block;
    text-align: center;
    border-top: solid 1px #b5dbe9;
    border-bottom: solid 1px #007095;
}

.c-menu--slide-left .c-menu__item:first-child,
.c-menu--slide-right .c-menu__item:first-child,
.c-menu--push-left .c-menu__item:first-child,
.c-menu--push-right .c-menu__item:first-child {
    border-top: none;
}

.c-menu--slide-left .c-menu__item:last-child,
.c-menu--slide-right .c-menu__item:last-child,
.c-menu--push-left .c-menu__item:last-child,
.c-menu--push-right .c-menu__item:last-child {
    border-bottom: none;
}

.c-menu--slide-left .c-menu__link,
.c-menu--slide-right .c-menu__link,
.c-menu--push-left .c-menu__link,
.c-menu--push-right .c-menu__link {
    display: block;
    padding: 12px 24px;
    color: #fff;
}

.c-menu--slide-left .c-menu__close,
.c-menu--slide-right .c-menu__close,
.c-menu--push-left .c-menu__close,
.c-menu--push-right .c-menu__close {
    display: block;
    padding: 12px 24px;
    width: 100%;
}

.c-menu--slide-left,
.c-menu--push-left {
    top: 0;
    left: 0;
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
}

@media all and (min-width: 320px) {
    .c-menu--slide-left,
    .c-menu--push-left {
        transform: translateX(-320px);
        -webkit-transform: translateX(-320px);
    }
}

.c-menu--slide-left.is-active,
.c-menu--push-left.is-active {
    transform: translateX(0);
    -webkit-transform: translateX(0);
}

.c-menu--slide-right,
.c-menu--push-right {
    top: 0;
    right: 0;
    transform: translateX(100%);
    -webkit-transform: translateX(100%)
}

@media all and (min-width: 320px) {
    .c-menu--slide-right,
    .c-menu--push-right {
        transform: translateX(320px);
        -webkit-transform: translateX(320px);
    }
}

.c-menu--slide-right.is-active,
.c-menu--push-right.is-active {
    transform: translateX(0);
    -webkit-transform: translateX(0);
}

.o-wrapper.has-push-left {
    transform: translateX(100%);
    -webkit-transform: translateX(100%);
}

@media all and (min-width: 320px) {
    .o-wrapper.has-push-left {
        transform: translateX(300px);
        -webkit-transform: translateX(300px);
    }
}

.o-wrapper.has-push-right {
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
}

@media all and (min-width: 320px) {
    .o-wrapper.has-push-right {
        transform: translateX(-300px);
        -webkit-transform: translateX(-300px);
    }
}

.c-menu--slide-top,
.c-menu--slide-bottom,
.c-menu--push-top,
.c-menu--push-bottom {
    vertical-align: middle;
    width: 100%;
    height: 60px;
    text-align: center;
    overflow-x: scroll;
}

.c-menu--slide-top .c-menu__items,
.c-menu--slide-bottom .c-menu__items,
.c-menu--push-top .c-menu__items,
.c-menu--push-bottom .c-menu__items {
    display: inline-block;
    text-align: center;
}

.c-menu--slide-top .c-menu__item,
.c-menu--slide-bottom .c-menu__item,
.c-menu--push-top .c-menu__item,
.c-menu--push-bottom .c-menu__item {
    display: inline-block;
    line-height: 60px;
}

.c-menu--slide-top .c-menu__link,
.c-menu--slide-bottom .c-menu__link,
.c-menu--push-top .c-menu__link,
.c-menu--push-bottom .c-menu__link {
    display: block;
    padding: 0 4px;
    color: #fff;
}

.c-menu--slide-top .c-menu__close,
.c-menu--slide-bottom .c-menu__close,
.c-menu--push-top .c-menu__close,
.c-menu--push-bottom .c-menu__close {
    display: inline-block;
    margin-right: 12px;
    padding: 0 24px;
    height: 60px;
    line-height: 60px;
}

.c-menu--slide-top,
.c-menu--push-top {
    top: 0;
    left: 0;
    transform: translateY(-60px);
}

.c-menu--slide-top.is-active,
.c-menu--push-top.is-active {
    transform: translateY(0);
}

.c-menu--slide-bottom,
.c-menu--push-bottom {
    bottom: 0;
    left: 0;
    transform: translateY(60px);
}

.c-menu--slide-bottom.is-active,
.c-menu--push-bottom.is-active {
    transform: translateY(0);
}

.o-wrapper.has-push-top {
    transform: translateY(60px);
}

.o-wrapper.has-push-bottom {
    transform: translateY(-60px);
}